> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Leverage Setup

> Get metadata for setting up leverage position (LUT creation).



## OpenAPI

````yaml /openapi/kamino.json get /v0/leverage/{marketAddress}/setup
openapi: 3.1.1
info:
  title: Kamino Blinks API
  version: 0.0.1
servers:
  - url: https://kamino.dial.to/api
security: []
paths:
  /v0/leverage/{marketAddress}/setup:
    get:
      tags:
        - Leverage
      summary: Leverage Setup
      description: Get metadata for setting up leverage position (LUT creation).
      operationId: kamino.v0.leverage.getLeverageSetupBlink
      parameters:
        - name: marketAddress
          in: path
          required: true
          schema:
            type: string
            description: Market public key
            default: 7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF
        - name: collTokenMint
          in: query
          required: true
          schema:
            type: string
            description: Collateral token mint address
            default: So11111111111111111111111111111111111111112
          allowEmptyValue: true
          allowReserved: true
        - name: debtTokenMint
          in: query
          required: true
          schema:
            type: string
            description: Debt token mint address
            default: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              enum:
                                - transaction
                                - external-link
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````